LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::awt::MessageBoxButtons Constant Group Reference

defines constants for the possible message box button combinations. More...

## Variables
const long | BUTTONS_OK = 1
| specifies a message with "OK" button. More...
const long | BUTTONS_OK_CANCEL = 2
| specifies a message box with "OK" and "CANCEL" button. More...
const long | BUTTONS_YES_NO = 3
| specifies a message box with "YES" and "NO" button. More...
const long | BUTTONS_YES_NO_CANCEL = 4
| specifies a message box with "YES", "NO" and "CANCEL" button. More...
const long | BUTTONS_RETRY_CANCEL = 5
| specifies a message box with "RETRY" and "CANCEL" button. More...
const long | BUTTONS_ABORT_IGNORE_RETRY = 6
| specifies a message box with "ABORT", "IGNORE" and "RETRY" button. More...
const long | DEFAULT_BUTTON_OK = 0x10000
| specifies that OK is the default button. More...
const long | DEFAULT_BUTTON_CANCEL = 0x20000
| specifies that CANCEL is the default button. More...
const long | DEFAULT_BUTTON_RETRY = 0x30000
| specifies that RETRY is the default button. More...
const long | DEFAULT_BUTTON_YES = 0x40000
| specifies that YES is the default button. More...
const long | DEFAULT_BUTTON_NO = 0x50000
| specifies that NO is the default button. More...
const long | DEFAULT_BUTTON_IGNORE = 0x60000
| specifies that IGNORE is the default button. More...

## Detailed Description

defines constants for the possible message box button combinations.

## Variable Documentation

## ◆ BUTTONS_ABORT_IGNORE_RETRY

const long BUTTONS_ABORT_IGNORE_RETRY = 6

specifies a message box with "ABORT", "IGNORE" and "RETRY" button.

## ◆ BUTTONS_OK

const long BUTTONS_OK = 1

specifies a message with "OK" button.

## ◆ BUTTONS_OK_CANCEL

const long BUTTONS_OK_CANCEL = 2

specifies a message box with "OK" and "CANCEL" button.

## ◆ BUTTONS_RETRY_CANCEL

const long BUTTONS_RETRY_CANCEL = 5

specifies a message box with "RETRY" and "CANCEL" button.

## ◆ BUTTONS_YES_NO

const long BUTTONS_YES_NO = 3

specifies a message box with "YES" and "NO" button.

## ◆ BUTTONS_YES_NO_CANCEL

const long BUTTONS_YES_NO_CANCEL = 4

specifies a message box with "YES", "NO" and "CANCEL" button.

## ◆ DEFAULT_BUTTON_CANCEL

const long DEFAULT_BUTTON_CANCEL = 0x20000

specifies that CANCEL is the default button.

## ◆ DEFAULT_BUTTON_IGNORE

const long DEFAULT_BUTTON_IGNORE = 0x60000

specifies that IGNORE is the default button.

## ◆ DEFAULT_BUTTON_NO

const long DEFAULT_BUTTON_NO = 0x50000

specifies that NO is the default button.

## ◆ DEFAULT_BUTTON_OK

const long DEFAULT_BUTTON_OK = 0x10000

specifies that OK is the default button.

## ◆ DEFAULT_BUTTON_RETRY

const long DEFAULT_BUTTON_RETRY = 0x30000

specifies that RETRY is the default button.

## ◆ DEFAULT_BUTTON_YES

const long DEFAULT_BUTTON_YES = 0x40000

specifies that YES is the default button.